##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################
__doc__='''Generic Database Adapter Package Registration

$Id: __init__.py,v 1.4 2005/06/13 18:50:04 nakagami Exp $'''
__version__='$Revision: 1.4 $'[11:-2]

import Globals, os
import DA

classes=('DA.Connection',)
database_type='SQLite'

misc_={'conn':
       Globals.ImageFile('Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif')}

#for icon in ('table', 'view', 'stable', 'what',
#             'field', 'text','bin','int','float',
#             'date','time','datetime'):
#    misc_[icon]=Globals.ImageFile('icons/%s.gif' % icon, globals())

meta_types=(
    {'name':'Z %s Database Connection' % database_type,
     'action':'manage_addZ%sConnectionForm' % database_type,
     },
    )

__module_aliases__=(
    ('Products.AqueductSQLite.DA', DA),
    )

def manage_addZSQLiteConnectionForm(self, REQUEST, *args, **kw):
    " "
    return DA.addConnectionForm(
        self, self, REQUEST,
        database_type=database_type,
        data_sources=DA.data_sources)

def manage_addZSQLiteConnection(
    self, id, title, connection, REQUEST=None):
    " "
    return DA.manage_addZSQLiteConnection(
        self, id, title, connection, REQUEST)


methods={
    'manage_addZSQLiteConnection':
    manage_addZSQLiteConnection,
    'manage_addZSQLiteConnectionForm':
    manage_addZSQLiteConnectionForm,
    }

__ac_permissions__=(
    ('Add Z SQLite Database Connections',
     ('manage_addZSQLiteConnectionForm',
      'manage_addZSQLiteConnection')),
    )

